#!/bin/bash

clear 
echo '   ____ _______ ______   ______            ______ _______   __'
echo '  / __ \__   __|____  | |  ____|   /\     |  ____|_   _\ \ / /'
echo ' | |  | | | |      / /  | |__     /  \    | |__    | |  \ V / '
echo ' | |  | | | |     / /   |  __|   / /\ \   |  __|   | |   > <  '
echo ' | |__| | | |    / /    | |____ / ____ \  | |     _| |_ / . \ '
echo '  \___\_\ |_|   /_/     |______/_/    \_\ |_|    |_____/_/ \_\'
echo ''
echo ''
echo 'This tool tries to fix the error message'
echo '	"Resource map is incorrect"'
echo 'as reported by Quicktime 7 based Applications.'
echo ''
echo 'Please drop the broken QT7 file into this window and press return:'

while read; do
	# trim the filename
	FILE=$(echo "$REPLY"| sed -e 's/^ *//' -e 's/ *$//')
  
  	# check if the file exists
  	if [ -f "$FILE" ]; then
	  	break
	else
  		echo "Can't read this file. Please drop a valid one."
  		echo "'$FILE'"
	fi
done


# check if there are EAs
echo ""
LINES=$(xattr -l "$FILE"|wc -l)

if [ "$LINES" -eq "0" ]; then
	echo "Can't fix this file"
	echo "There are no extended attributes associated."
  	exit 1	
fi

# now remove the EAs
echo ""
xattr -c "$FILE" &>/dev/null
echo "You can now open this file in QT7."

# create space
echo ""